> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check address availability

> Check whether a local-part is available on a domain.



## OpenAPI

````yaml openapi-core.json GET /v1/email_addresses/availability
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/email_addresses/availability:
    get:
      tags:
        - Email addresses
      summary: Check address availability
      description: Check whether a local-part is available on a domain.
      operationId: email_addresses_availability
      responses:
        '200':
          description: Returns whether the address is available.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - email_address_availability
                  available:
                    type: boolean
                  address:
                    type: string
                  reason:
                    type:
                      - string
                      - 'null'
                required:
                  - object
                  - available
                  - address
                  - reason
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````